'Paresh
Option Explicit

'******************************************
'Function to get the Time Key from the config file
'******************************************

Public Function TimeKey(strFromFile)
    Dim a
    a = InStr(1, strFromFile, ":")
    If a <> 0 Then
      TimeKey = Left(strFromFile, a - 1)
    End If
End Function

'******************************************
'Function to get the Time Value from the config file
'******************************************
Public Function TimeValue(strFromFile)
    Dim a
    a = InStr(1, strFromFile, ":")
    If a <> 0 Then
      TimeValue = Right(strFromFile, Len(strFromFile) - a)
    End If
End Function

'Main Script
Dim root, domainName, configfile, strFromFile, myUsrObj, myUsrStr, WriteLogFile
Dim strCNKey, strCNValue, strOUKey, strOUValue, strPasswordKey, strPasswordValue
Set root = GetObject("LDAP://RootDSE")
domainName = root.Get("defaultNamingContext")

Dim fso
Const ForReading = 1
Set fso = CreateObject("Scripting.FileSystemObject")
Set configfile = fso.OpenTextFile("C:\mss\config.ini", ForReading)

Do While Not configfile.AtEndOfStream
   strFromFile = configfile.Readline
   strCNKey = Trim(TimeKey(strFromFile))
   If strCNKey = Trim("USER") Then
     strCNValue = Trim(TimeValue(strFromFile))
   End If
Loop
configfile.Close

Set configfile = fso.OpenTextFile("C:\mss\config.ini", ForReading)
Do While Not configfile.AtEndOfStream
   strFromFile = configfile.Readline
   strPasswordKey = Trim(TimeKey(strFromFile))
   If strPasswordKey = Trim("NEWPASSWORD") Then
     strPasswordValue = Trim(TimeValue(strFromFile))
   End If
Loop
configfile.Close

Set configfile = fso.OpenTextFile("C:\mss\config.ini", ForReading)
Do While Not configfile.AtEndOfStream
   strFromFile = configfile.Readline
   strOUKey = Trim(TimeKey(strFromFile))
   If strOUKey = Trim("OU") Then
     strOUValue = Trim(TimeValue(strFromFile))
   End If
Loop
configfile.Close

Dim strOldPasswordKey, strOldPasswordvalue
Set configfile = fso.OpenTextFile("C:\mss\config.ini", ForReading)
Do While Not configfile.AtEndOfStream
   strFromFile = configfile.Readline
   strOldPasswordKey = Trim(TimeKey(strFromFile))
   If strOldPasswordKey = Trim("PASSWORD") Then
     strOldPasswordvalue = Trim(TimeValue(strFromFile))
   End If
Loop
configfile.Close

'Changing the Password.
    'Bind to a specific user object.
    myUsrStr = "LDAP://cn=" & strCNValue & ",ou=" & strOUValue & ", ou=MSSTEST, " & domainName
    Set myUsrObj = GetObject(myUsrStr)
'   myUsrObj.ChangePassword strOldPasswordvalue, strPasswordValue
    myUsrObj.setpassword strPasswordValue
    Set WriteLogFile = fso.OpenTextFile("C:\mss\MSSlog.txt", 8)
    If Err <> 0 Then
        WriteLogFile.Write "Test-User Change Password   Failed	" & Err.Description & " " & Err.Number & " " & Now & vbNewLine
    ElseIf Err = 0 Then
        WriteLogFile.Write "Test-User Change Password   Passed	" & Now & vbNewLine
    End If
    Set myUsrObj = Nothing