
'Paresh
'***************************************************************************************
'This script copies file from one share to another share
'It assumes that a file exists in the first share
'It reads the share files from a config file
'It also assumes that the share exist
'***************************************************************************************

Option Explicit

'******************************************
'Function to get the Key from the config file
'******************************************
Public Function getKey(strFromFile)
Dim a
a = InStr(1, strFromFile, ":")
If a <> 0 Then
  getKey = Left(strFromFile, a - 1)
End If
End Function

'******************************************
'Function to get the Value from the config file
'******************************************
Public Function getValue(strFromFile)
Dim a
a = InStr(1, strFromFile, ":")
If a <> 0 Then
  getValue = Right(strFromFile, Len(strFromFile) - a)
End If
End Function

Dim myFSO
Dim configFile
Dim strFromFile
Dim strSharekey
Dim strShare1Value
Dim strShare2Value
Dim strFromLocation
Dim strToLocation
Dim WriteLogFile
Const ForReading = 1

on error Resume Next
Set myFSO = CreateObject("Scripting.FileSystemObject")
Set configFile = myFSO.OpenTextFile("C:\mss\config.ini", ForReading)

Do While Not configFile.AtEndOfStream
   strFromFile = configFile.Readline
   strSharekey = getKey(strFromFile)
   If strSharekey = "SHARE1" Then
     strShare1Value = getValue(strFromFile)
   End If
   If strSharekey = "SHARE2" Then
    strShare2Value = getValue(strFromFile)
   End If
Loop

strFromLocation = strShare1Value & "\msslog.txt"
strToLocation = strShare2Value & "\msslog.txt"

myFSO.CopyFile strFromLocation, strToLocation
myFSO.DeleteFile strToLocation

Set WriteLogFile = myFSO.OpenTextFile("C:\mss\MSSlog.txt", 8)
If Err <> 0 Then
    WriteLogFile.Write "Test-Admin File Access   Failed	" & Err.Description & " " & Err.Number & " " & Now & vbNewLine
ElseIf Err = 0 Then
    WriteLogFile.Write "Test-Admin File Access   Passed	" & Now & vbNewLine
End If

Set myFSO = Nothing
