'***************************************************************************************
'Paresh
'This script is used to submit jobs to the printer
'This script assumes that the printer name is the same as the share name
'This script does not control the status of the jobs
'Each script fires only one print job
'***************************************************************************************

'Option Explicit

'******************************************
'Function to get the Key from the config file
'******************************************
Public Function getKey(strFromFile)
Dim a
a = InStr(1, strFromFile, ":")
If a <> 0 Then
  getKey = Left(strFromFile, a - 1)
End If
End Function

'******************************************
'Function to get the Value from the config file
'******************************************
Public Function getValue(strFromFile)
Dim a
a = InStr(1, strFromFile, ":")
If a <> 0 Then
  getValue = Right(strFromFile, Len(strFromFile) - a)
End If
End Function

Dim fso
Dim configfile
Dim strFromFile
Dim strPrintKey
Dim strPrintValue
Dim fd

'On Error Resume Next

Set fso = CreateObject("Scripting.FileSystemObject")
Set configfile = fso.OpenTextFile("C:\mss\config.ini")

Do While Not configfile.AtEndOfStream
   strFromFile = configfile.Readline
   strPrintKey = getKey(strFromFile)
   If strPrintKey = "PRINTERSHARE" Then
     strPrintValue = getValue(strFromFile)
   End If
Loop
configfile.Close
'msgbox strPrintValue
Set fd = fso.GetFile("C:\mss\PrintTest.txt")
fd.Copy (strPrintValue)

Set WriteLogFile = fso.OpenTextFile("C:\mss\msslog.txt",8)
If Err <> 0 Then
    WriteLogFile.Write "Test-Admin Print   Failed	" & Err.Description & " " & Err.Number & " " & Now & vbNewLine
ElseIf Err = 0 Then
    WriteLogFile.Write "Test-Admin Print   Passed	" & Now & vbNewLine
End If

Set fd = Nothing
Set fso = Nothing

